curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/firewall/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"direction": "inbound",
"action": "accept",
"protocol": "tcp",
"destination_port": "<string>",
"source_cidr": "<string>",
"destination_cidr": "<string>",
"priority": 2147483647,
"is_enabled": true
}
'Modify an existing firewall rule configuration. Changes will not take effect until firewall rules are applied to the instance.
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/firewall/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"direction": "inbound",
"action": "accept",
"protocol": "tcp",
"destination_port": "<string>",
"source_cidr": "<string>",
"destination_cidr": "<string>",
"priority": 2147483647,
"is_enabled": true
}
'Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Unique identifier of the firewall rule.
Unique identifier of the compute instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Rule name
255Rule description
inbound - Inboundoutbound - Outboundinbound, outbound accept - Acceptdrop - Dropreject - Rejectaccept, drop, reject tcp - TCPudp - UDPicmp - ICMPall - Alltcp, udp, icmp, all Source IP en notation CIDR (ex: 0.0.0.0/0 pour tout)
100Destination IP en notation CIDR
100Priorité (plus petit = plus prioritaire)
0 <= x <= 4294967295Firewall rule updated successfully